## vim-vimtex 2.16

=== test/Makefile ===
MYVIM ?= nvim --clean --headless
MAKEFLAGS+=--no-print-directory

TESTS := $(wildcard test-*)

.PHONY: test $(TESTS)

test: $(TESTS)

sysinfo:
	@echo "**** SYSTEM INFORMATION ****"
	@-git log -1
	@-latexmk --version
	@-$(MYVIM) --version
	@echo "**** SYSTEM INFORMATION ****"

$(TESTS):
	$(MAKE) -C $@


#
# Ensure that some goals are run first/last
#
ifndef MAKECMDGOALS
test: sysinfo
$(TESTS): sysinfo

FILTERED := test-indentation-timing
test-indentation-timing: | $(filter-out $(FILTERED), $(TESTS))

FILTERED += test-completion-bibtex-speed
test-completion-bibtex-speed: | $(filter-out $(FILTERED), $(TESTS))

FILTERED += test-completion-bibtex
test-completion-bibtex: | $(filter-out $(FILTERED), $(TESTS))
endif

=== test/test-bibfiles/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard test*.vim)
TESTS := $(TESTS:.vim=)

.PHONY: test $(TESTS)

test: $(TESTS)

$(TESTS):
	@$(MYVIM) -u $@.vim

=== test/test-commands/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard test*.vim)
TESTS := $(TESTS:.vim=)

.PHONY: test $(TESTS)

test: $(TESTS)

$(TESTS):
	@chronic $(MYVIM) -u $@.vim

=== test/test-formatting/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard *.ref)
TESTS := $(TESTS:.ref=)

.PHONY: test $(TESTS)

test: $(TESTS)
	@rm -f test-*.out

$(TESTS):
	@FILE=$@ $(MYVIM) -u test.vim
	@diff $@.out $@.ref

=== test/test-motions/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard *.vim)
TESTS := $(TESTS:.vim=)

.PHONY: test $(TESTS)

test: $(TESTS)

$(TESTS):
	@$(MYVIM) -u $@.vim

=== test/test-parser-cmds/Makefile ===
.PHONY: test

MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

test:
	@$(MYVIM) -u test.vim 2>&1

=== debian/changelog ===
vim-vimtex (2.16-3) unstable; urgency=medium

  * d/control: Standards-Version to 4.7.2

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Sat, 19 Apr 2025 18:31:54 +0300

vim-vimtex (2.16-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Matthias Geiger <werdahias@debian.org>  Thu, 17 Apr 2025 18:48:39 +0200

vim-vimtex (2.16-1) unstable; urgency=medium

  * Initial release (Closes: #888981)

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Mon, 27 Jan 2025 21:33:21 +0300

## vim-vimtex 2.17

=== test/example-startup-timing/Makefile ===
MYVIM ?= nvim --clean

.PHONY: default basic

default:
	hyperfine --min-runs 5 '$(MYVIM) -u minivimrc'

basic:
	time $(MYVIM) -u minivimrc

=== test/perf-syntax/Makefile ===
MYVIM ?= nvim --clean

.PHONY: default perf

default:
	$(MYVIM) -u run-redraws.vim
	head -n 30 out.log

perf: doc1.tex doc2.tex
	eval sudo taskset -c 0 nice -n -11 perf stat -r 4 "nvim --headless --clean -u run-scroll-on-docs.vim" 2>&1 \
	        | sed 's/ \+$$//g' \
	        | grep -v '<not counted>' \
	        | grep -A1 -P 'cycles'
	eval sudo taskset -c 0 nice -n -11 perf stat -r 4 "vim --clean -u run-scroll-on-docs.vim" 2>&1 \
	        | sed 's/ \+$$//g' \
	        | grep -v '<not counted>' \
	        | grep -A1 -P 'cycles'

doc1.tex doc2.tex:
	echo "You need to download these files manually!"
	echo "- https://arxiv.org/abs/1512.07213"
	echo "- https://arxiv.org/abs/1405.0401"

=== test/test-cache/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard test-*.vim)
TESTS := $(TESTS:.vim=)
TESTS_KPSEWHICH := test-kpsewhich-local-a test-kpsewhich-local-b
TESTS_ALL := $(TESTS) $(TESTS_KPSEWHICH)

.PHONY: test $(TESTS_ALL) test-cleanup

test: $(TESTS_ALL) test-cleanup

$(TESTS):
	@$(MYVIM) -u $@.vim

$(TESTS_KPSEWHICH):
	@cd $@ && $(MYVIM) -u test.vim

test-cleanup: $(TESTS_ALL)
	@rm kpsewhich.json
	@rm capture.json
	@rm -f nvim_servernames.log

=== test/test-compiler-generic/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard test*.vim)

.PHONY: dummy test $(TESTS)

test: $(TESTS)

$(TESTS):
	@$(MYVIM) -u $@


dummy:
	@echo Compiling...
	@echo SillyWalks
	@echo Compiling...Done!

=== test/test-compiler-method-dynamic/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard test*.vim)

.PHONY: test $(TESTS)

test: $(TESTS)

$(TESTS):
	@$(MYVIM) -u $@

=== test/test-compiler-pdfmode/Makefile ===
MYVIM ?= nvim --clean --headless
MAKEFLAGS+=--no-print-directory

TESTS := $(wildcard test-*)

.PHONY: test $(TESTS)

test: $(TESTS)

$(TESTS):
	$(MAKE) -C $@

=== test/test-compiler-selected/Makefile ===
.PHONY: test

MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

test: output1 output2 output3
	@diff output1.tex reference1.tex
	@diff output2.tex reference2.tex
	@diff output3.tex reference3.tex
	@rm -f output*.tex

output%:
	@$(MYVIM) -u test.vim

=== test/test-compiler/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard test*.vim)
TESTS := $(filter-out test-backend,$(TESTS:.vim=))

.PHONY: test $(TESTS)

test: test-backend $(TESTS) prepare-test-clean

$(TESTS):
	@$(MYVIM) -u $@.vim

test-backend: latexrun
	@PATH=$$PATH:. chronic $(MYVIM) -u $@.vim
	@rm -f minimal.*
	@rm -f pdflatex*.fls
	@rm -f .latexrun.db.lock
	@rm -rf out

test-clean: prepare-test-clean

prepare-test-clean:
	@touch test-clean.log
	@touch test-clean.aux
	@touch test-clean.pdf
	@touch generated-extra_files.out
	@mkdir -p _minted-test-clean
	@touch _minted-test-clean/stuffhere

latexrun:
	@wget \
	  https://raw.githubusercontent.com/aclements/latexrun/master/latexrun \
	  >/dev/null 2>&1
	@chmod u+x latexrun

=== test/test-completion-bibtex-speed/Makefile ===
.PHONY: test

MYVIM ?= nvim --clean --headless

test:
	@INMAKE=1 BACKEND=bibtex       $(MYVIM) -u bibspeed.vim
	@INMAKE=1 BACKEND=vim          $(MYVIM) -u bibspeed.vim
	@INMAKE=1 BACKEND=lua          $(MYVIM) -u bibspeed.vim
	@#INMAKE=1 BACKEND=bibparse     $(MYVIM) -u bibspeed.vim
	@#INMAKE=1 BACKEND=bibtexparser $(MYVIM) -u bibspeed.vim
	@rm -f nvim_servernames.log

=== test/test-completion-bibtex/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard test*.vim)
TESTS := $(filter-out test_backend,$(TESTS:.vim=))
BACKENDS := bibtex vim lua

.PHONY: test $(TESTS) $(BACKENDS) test-cleanup

test: $(TESTS) $(BACKENDS) test-cleanup

$(TESTS):
	@$(MYVIM) -u $@.vim

$(BACKENDS):
	@BACKEND=$@ $(MYVIM) -u test_backend.vim

test-cleanup: $(TESTS_ALL)
	@rm -f nvim_servernames.log

=== test/test-completion-commands/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

TESTS := $(wildcard *.vim)
TESTS := $(TESTS:.vim=)

.PHONY: test $(TESTS) test-cleanup

test: $(TESTS) test-cleanup

$(TESTS):
	@$(MYVIM) -u $@.vim

test-cleanup: $(TESTS)
	@rm -f nvim_servernames.log

=== test/test-completion-glossary-texinputs/Makefile ===
MYVIM ?= nvim --clean --headless

INMAKE := 1
export INMAKE

.PHONY: test

test:
	@$(MYVIM) -u test.vim

=== debian/changelog ===
vim-vimtex (2.17-2) unstable; urgency=medium

  * Source-only upload

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Fri, 31 Oct 2025 21:25:02 +0300

vim-vimtex (2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Kirill Rekhov <krekhov.dev@gmail.com>  Thu, 09 Oct 2025 13:39:57 +0300

=== debian/control ===
Source: vim-vimtex
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Kirill Rekhov <krekhov.dev@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-sequence-vim-addon
Homepage: https://github.com/lervag/vimtex/wiki
Vcs-Git: https://salsa.debian.org/vim-team/vim-vimtex.git
Vcs-Browser: https://salsa.debian.org/vim-team/vim-vimtex
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: vim-vimtex
Architecture: all
Depends: ${misc:Depends},
         ${vim-addon:Depends},
         python3,
         latexmk,
         texlive-base
Recommends: pdf-viewer
Description: Modern Vim and Neovim plugin for LaTeX files editing
 VimTeX is a comprehensive plugin designed to enhance the experience of
 editing LaTeX files in Vim and Neovim. It offers a wide range of features
 including real-time compilation, advanced syntax highlighting, and SyncTeX
 support, allowing seamless navigation between LaTeX source code and its
 corresponding PDF output. The plugin is modular and integrates smoothly with
 other LaTeX tools, making it an essential addition for users who prefer Vim
 for their LaTeX projects.
 .
 To ensure proper functionality, make sure the following settings are in your
 vimrc file:
   filetype plugin indent on
   syntax on
 .
 Or you can copy the example vimrc file from here:
 /usr/share/vim-vimtex/vim-vimtex.vimrc-example
 (Please don't just copy this without reading the comments!)

=== debian/watch ===
version=4
https://github.com/lervag/vimtex/tags .*/v?(\d\S*)\.tar\.gz
